libebook::FB2CellContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2CellContext Class Reference

`#include <FB2TableContext.h>`

Inheritance diagram for libebook::FB2CellContext:

## Public Member Functions
| FB2CellContext (FB2ParserContext *parentContext, FB2TableModel *model, const FB2BlockFormat &format, bool header)
Public Member Functions inherited from libebook::FB2StyleContextBase
| FB2StyleContextBase (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
| FB2CellContext (const FB2CellContext &other)
FB2CellContext & | operator= (const FB2CellContext &other)
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
void | openCell ()

## Private Attributes
FB2TableModel *const | m_model
const bool | m_header
bool | m_opened
int | m_columnSpan
int | m_rowSpan
size_t | m_coveredColumns

## Additional Inherited Members
Protected Member Functions inherited from libebook::FB2StyleContextBase
FB2Style & | getStyle ()
FB2TextFormat & | getTextFormat ()
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## § FB2CellContext() [1/2]

libebook::FB2CellContext::FB2CellContext | ( | const FB2CellContext & | other | ) |
| private

## § FB2CellContext() [2/2]

libebook::FB2CellContext::FB2CellContext | ( | FB2ParserContext * | parentContext,
|  | FB2TableModel * | model,
|  | const FB2BlockFormat & | format,
|  | bool | header
| ) |  |

## Member Function Documentation

## § attribute()

void libebook::FB2CellContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| privatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Reimplemented from libebook::FB2StyleContextBase.

## § endOfAttributes()

void libebook::FB2CellContext::endOfAttributes | ( |  | ) |
| privatevirtual

Signalize the end of attributes.

Reimplemented from libebook::FB2StyleContextBase.

## § endOfElement()

void libebook::FB2CellContext::endOfElement | ( |  | ) |
| privatevirtual

Signalize the end of an element.

Reimplemented from libebook::FB2StyleContextBase.

## § openCell()

void libebook::FB2CellContext::openCell | ( |  | ) |
| private

Referenced by endOfAttributes(), and endOfElement().

## § operator=()

FB2CellContext& libebook::FB2CellContext::operator= | ( | const FB2CellContext & | other | ) |
| private

## § startOfElement()

void libebook::FB2CellContext::startOfElement | ( |  | ) |
| privatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

## Member Data Documentation

## § m_columnSpan

int libebook::FB2CellContext::m_columnSpan
| private

Referenced by attribute(), and openCell().

## § m_coveredColumns

size_t libebook::FB2CellContext::m_coveredColumns
| private

Referenced by endOfElement(), and openCell().

## § m_header

const bool libebook::FB2CellContext::m_header
| private

## § m_model

FB2TableModel* const libebook::FB2CellContext::m_model
| private

Referenced by openCell().

## § m_opened

bool libebook::FB2CellContext::m_opened
| private

Referenced by endOfElement(), and openCell().

## § m_rowSpan

int libebook::FB2CellContext::m_rowSpan
| private

Referenced by attribute(), and openCell().

The documentation for this class was generated from the following files:

- FB2TableContext.h
- FB2TableContext.cpp